import { Injectable } from '@nestjs/common';
import { DataSchedulingLogEntity } from '../../domain/entities/data-scheduling.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { DataSchedulingLogModel } from '../models/data-scheduling-log.model';

@Injectable()
export class DataSchedulingLogReadService extends BaseReadService<DataSchedulingLogEntity> {
  constructor(
    @InjectRepository(DataSchedulingLogModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<DataSchedulingLogModel>,
  ) {
    super(repo);
  }
}
